Channels
Remove recipients from conversation
Remove participants from a group conversation, a downline conversation, or a channel. Any participant can remove members from a group or downline conversation; only company admins can remove members from a channel. Other conversation types return 403. The remaining participants see who was removed. Returns 400 if none of recipient_ids are participants. Callable by a signed-in company admin or rep whose role includes the messaging update permission.
DELETE
/
api
/
v1
/
messaging
/
conversations
/
{id}
/
recipients
/
remove
Remove recipients from conversation
curl --request DELETE \
--url https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_ids": [
48362
]
}
'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove"
payload = { "recipient_ids": [48362] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipient_ids: [48362]})
};
fetch('https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'recipient_ids' => [
48362
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove"
payload := strings.NewReader("{\n \"recipient_ids\": [\n 48362\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipient_ids\": [\n 48362\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipient_ids\": [\n 48362\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 90412,
"type": "GroupConversation",
"kind": "group",
"name": "Scranton Sales Team",
"description": "Daily numbers and client follow-ups for the Scranton branch",
"status": "open",
"conversation_type": "internal",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-14T15:42:07Z",
"pinned_messages_count": 1,
"total_recipients": 3,
"unread": true,
"pinned": false,
"muted": false,
"unread_messages_count": 3,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": false,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48102,
"receivable_id": 7731,
"receivable_type": "UserCompany",
"first_name": "Michael",
"last_name": "Scott",
"status": "active",
"last_online": "2026-09-30T15:40:12Z",
"avatar_background": "#4F46E5",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48211,
"receivable_id": 7802,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-30T14:58:03Z",
"avatar_background": "#0EA5E9",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48307,
"receivable_id": 7859,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-30T09:17:31Z",
"avatar_background": "#F59E0B",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48102,
"first_name": "Michael",
"last_name": "Scott",
"avatar_background": "#4F46E5",
"image_url": null,
"pro_user": true,
"blocked": false,
"blocker": false,
"discarded_at": null
}
}{
"message": "<string>"
}{
"error": "<string>"
}Response
The conversation after the participants were removed.
A conversation as seen by the acting recipient. Per-recipient fields such as unread, pinned, and muted describe that recipient's view of the conversation. recipients lists at most six active participants; total_recipients is the full count.
⌘I
Remove recipients from conversation
curl --request DELETE \
--url https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_ids": [
48362
]
}
'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove"
payload = { "recipient_ids": [48362] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipient_ids: [48362]})
};
fetch('https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'recipient_ids' => [
48362
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove"
payload := strings.NewReader("{\n \"recipient_ids\": [\n 48362\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipient_ids\": [\n 48362\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/{id}/recipients/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipient_ids\": [\n 48362\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 90412,
"type": "GroupConversation",
"kind": "group",
"name": "Scranton Sales Team",
"description": "Daily numbers and client follow-ups for the Scranton branch",
"status": "open",
"conversation_type": "internal",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-14T15:42:07Z",
"pinned_messages_count": 1,
"total_recipients": 3,
"unread": true,
"pinned": false,
"muted": false,
"unread_messages_count": 3,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": false,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48102,
"receivable_id": 7731,
"receivable_type": "UserCompany",
"first_name": "Michael",
"last_name": "Scott",
"status": "active",
"last_online": "2026-09-30T15:40:12Z",
"avatar_background": "#4F46E5",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48211,
"receivable_id": 7802,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-30T14:58:03Z",
"avatar_background": "#0EA5E9",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 48307,
"receivable_id": 7859,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-30T09:17:31Z",
"avatar_background": "#F59E0B",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48102,
"first_name": "Michael",
"last_name": "Scott",
"avatar_background": "#4F46E5",
"image_url": null,
"pro_user": true,
"blocked": false,
"blocker": false,
"discarded_at": null
}
}{
"message": "<string>"
}{
"error": "<string>"
}